org.apache.solr.client.solrj.impl

## Class SolrPortAwareCookieSpecFactory

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrPortAwareCookieSpecFactory

All Implemented Interfaces:
  org.apache.http.cookie.CookieSpecFactory, org.apache.http.cookie.CookieSpecProvider

    public class SolrPortAwareCookieSpecFactory
    extends Object
    implements org.apache.http.cookie.CookieSpecFactory, org.apache.http.cookie.CookieSpecProvider

### Nested Class Summary

Nested Classes
`static class` `SolrPortAwareCookieSpecFactory.PortAwareCookieSpec`
`static class` `SolrPortAwareCookieSpecFactory.PortAwareDomainHandler` A domain handler to validate and match cookies based on the domain and origin.

### Field Summary

Fields
`static String` `POLICY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SolrPortAwareCookieSpecFactory()`
`SolrPortAwareCookieSpecFactory(String[] datepatterns)`

### Method Summary

Methods
`org.apache.http.cookie.CookieSpec` `create(org.apache.http.protocol.HttpContext context)`
`org.apache.http.cookie.CookieSpec` `newInstance(org.apache.http.params.HttpParams params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POLICY_NAME

    public static final String POLICY_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### SolrPortAwareCookieSpecFactory

    public SolrPortAwareCookieSpecFactory(String[] datepatterns)

#### SolrPortAwareCookieSpecFactory

    public SolrPortAwareCookieSpecFactory()

### Method Detail

#### newInstance

    public org.apache.http.cookie.CookieSpec newInstance(org.apache.http.params.HttpParams params)

Specified by:
  `newInstance` in interface `org.apache.http.cookie.CookieSpecFactory`

#### create

    public org.apache.http.cookie.CookieSpec create(org.apache.http.protocol.HttpContext context)

Specified by:
  `create` in interface `org.apache.http.cookie.CookieSpecProvider`